Skip to main content
GET
/
storefronts
/
{storefrontId}
Get storefront
curl --request GET \
  --url https://api.agentic.scope3.com/api/v2/buyer/storefronts/{storefrontId} \
  --header 'Authorization: Bearer <token>'
{
  "id": 0,
  "platformId": "<string>",
  "name": "<string>",
  "publisherDomain": "<string>",
  "sources": [
    {
      "sourceId": "<string>",
      "name": "<string>",
      "protocol": "MCP",
      "requiresCredentials": true,
      "connected": true,
      "customerAccounts": [
        {
          "accountIdentifier": "<string>",
          "status": "<string>"
        }
      ]
    }
  ]
}

Authorizations

Authorization
string
header
required

API key or access token

Path Parameters

storefrontId
integer
required

Storefront ID

Required range: x <= 9007199254740991

Response

Get storefront

A storefront as seen by a buyer

id
integer
required

Storefront ID

Required range: -9007199254740991 <= x <= 9007199254740991
platformId
string
required

Public-facing slug

name
string
required

Storefront display name

publisherDomain
string | null
required

Publisher domain

sources
object[]
required

Inventory sources available in this storefront